package com.monetra.unitermdemo;

import android.os.Bundle;
import android.preference.ListPreference;
import android.preference.PreferenceFragment;

import java.util.ArrayList;

/**
 * Created by gweston on 11/2/16.
 */

public class SettingsFragment extends PreferenceFragment {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        addPreferencesFromResource(R.xml.preferences);

    }

    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);
    }

    public void populateDeviceList(ArrayList keys, ArrayList values) {
        ListPreference devices = (ListPreference) findPreference("deviceIdentifier");
        devices.setEntries((CharSequence[]) keys.toArray(new CharSequence[keys.size()]));
        devices.setEntryValues((CharSequence[]) values.toArray(new CharSequence[values.size()]));
        if (devices.getValue() == null) {
            devices.setValueIndex(0);
        }
    }

    public void populateDeviceTypes(ArrayList keys, ArrayList values) {
        ListPreference deviceTypes = (ListPreference) findPreference("deviceType");
        deviceTypes.setEntries((CharSequence[]) keys.toArray(new CharSequence[keys.size()]));
        deviceTypes.setEntryValues((CharSequence[]) values.toArray(new CharSequence[values.size()]));
        if (deviceTypes.getValue() == null) {
            deviceTypes.setValueIndex(0);
        }
    }

}
